Subject: mtd mount problem

From: Marco Schramel <[email-masked]>
Date: Thu, 21 Apr 2005 11:17:25 +0200

Hi all,

in our system (MPC8270, 2.4.25) i can't mount the mtd devices (two AM29LV256MH)

I created a map based on tqm8260.c. I can use the "eraseall" command and i can write the mtdx devices.
But if i try to mount the mtd devices (jffs or jffs2) then it fails.
Output:
The eraseall command
/dev # eraseall /dev/mtd1
MTD_open
MTD_ioctl
MTD_write
Erased 8192 Kibyte @ 0 -- 100% complete.
MTD_close

try to write
/dev # date > /dev/mtd1
MTD_open
MTD_ioctl
MTD_write
MTD_close

ok, now try onesmore
/dev # date > /dev/mtd1
MTD_open
MTD_ioctl
MTD_write
MTD do_write_buffer(): software timeout
MTD_close
/dev #

It all seems to be fine, but...

dev # mount -t jffs2 /dev/mtdblock1 /mnt/Flash1
mount: Mounting /dev/mtdblock1 on /mnt/Flash1 failed: No such device

I checked out the Majors of my ramdisk, they are ok.

Any ideas.

Best regards and thank you in advance.

Marco

-- 
---------
Marco Schramel